PDA

View Full Version : .NET support in Standard Projects



sLehmann
01-04-2005, 07:14 AM
Hello,

we want to upgrade to the InstallShield 10.5 Premier Edition.

One of our products is a .NET application, which requires the .NET Framework version 1.1 and SP1 for .NET. Does the InstallShield 10.5 supports the "embedded" installation of the required Framework files?

Sadly, the InstallShield Technical Support cannot give me an answer to this specific question. So any comments will be greatly appreciated.

Thanks in advance!

MichaelU
01-04-2005, 10:51 AM
How do you mean "embedded"? If the question you are asking is "Can an InstallScript MSI (standard) project created with InstallShield 10.5 easily deliver the Microsoft .NET Framework 1.1 with SP1?", then the answer is yes (just make sure you have 10.5 SP1).

This is installed before the user interface / OnBegin handlers of the project, however, so if you are asking "Can it be installed at the same time as a nested MSI would be?" then the answer is no. If instead you are asking something about the Compact .NET Framework, intended for embedded devices, I believe that is only at version 1.0 so far.